List WhatsApp messages
curl --request GET \
--url https://api.pineyard.ai/whatsapp/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"messages": [
{
"id": "<string>",
"direction": "OUTBOUND",
"toPhone": "<string>",
"type": "TEXT",
"body": "<string>",
"status": "QUEUED",
"providerMsgId": "<string>",
"mediaItemId": "<string>",
"collectionId": "<string>",
"callId": "<string>",
"campaignId": "<string>",
"error": "<string>",
"createdAt": "<string>",
"sentAt": "<string>",
"deliveredAt": "<string>",
"readAt": "<string>",
"templateId": "<string>",
"providerErrorReason": "<string>",
"failureReason": "<string>",
"templateValues": {
"headerValues": [
"<string>"
],
"bodyValues": [
"<string>"
],
"name": "<string>",
"templatePurpose": "<string>",
"fileName": "<string>"
},
"conversationId": "<string>",
"contactId": "<string>",
"campaignContactId": "<string>",
"hasMedia": true,
"mediaMimeType": "<string>",
"mediaFileName": "<string>"
}
]
}Messages
List WhatsApp messages
GET
/
whatsapp
/
messages
List WhatsApp messages
curl --request GET \
--url https://api.pineyard.ai/whatsapp/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"messages": [
{
"id": "<string>",
"direction": "OUTBOUND",
"toPhone": "<string>",
"type": "TEXT",
"body": "<string>",
"status": "QUEUED",
"providerMsgId": "<string>",
"mediaItemId": "<string>",
"collectionId": "<string>",
"callId": "<string>",
"campaignId": "<string>",
"error": "<string>",
"createdAt": "<string>",
"sentAt": "<string>",
"deliveredAt": "<string>",
"readAt": "<string>",
"templateId": "<string>",
"providerErrorReason": "<string>",
"failureReason": "<string>",
"templateValues": {
"headerValues": [
"<string>"
],
"bodyValues": [
"<string>"
],
"name": "<string>",
"templatePurpose": "<string>",
"fileName": "<string>"
},
"conversationId": "<string>",
"contactId": "<string>",
"campaignContactId": "<string>",
"hasMedia": true,
"mediaMimeType": "<string>",
"mediaFileName": "<string>"
}
]
}
